- page_title _('Account')
- @content_class = "limit-container-width" unless fluid_layout

- if current_user.ldap_user?
  .gl-alert.gl-alert-info.gl-my-5
    = sprite_icon('information-o', size: 16, css_class: 'gl-icon gl-alert-icon gl-alert-icon-no-title')
    .gl-alert-body
      = s_('Profiles|Some options are unavailable for LDAP accounts')

- if params[:two_factor_auth_enabled_successfully]
  .gl-alert.gl-alert-success.gl-my-5{ role: 'alert' }
    = sprite_icon('check-circle', size: 16, css_class: 'gl-alert-icon gl-alert-icon-no-title')
    %button.gl-alert-dismiss.js-close-2fa-enabled-success-alert{ type: 'button', aria: { label: _('Close') } }
      = sprite_icon('close', size: 16)
    .gl-alert-body
      = _('Congratulations! You have enabled Two-factor Authentication!')

.row.gl-mt-3
  .col-lg-4.profile-settings-sidebar
    %h4.gl-mt-0
      = s_('Profiles|Two-Factor Authentication')
    %p
      = s_("Profiles|Increase your account's security by enabling Two-Factor Authentication (2FA)")
  .col-lg-8
    %p
      #{_('Status')}: #{current_user.two_factor_enabled? ? _('Enabled') : _('Disabled')}
    - if current_user.two_factor_enabled?
      = link_to _('Manage two-factor authentication'), profile_two_factor_auth_path, class: 'gl-button btn btn-info'
    - else
      .gl-mb-3
        = link_to _('Enable two-factor authentication'), profile_two_factor_auth_path, class: 'gl-button btn btn-success', data: { qa_selector: 'enable_2fa_button' }

%hr
- if display_providers_on_profile?
  .row.gl-mt-3
    .col-lg-4.profile-settings-sidebar
      %h4.gl-mt-0
        = s_('Profiles|Social sign-in')
      %p
        = s_('Profiles|Activate signin with one of the following services')
    .col-lg-8
      = render 'providers', providers: button_based_providers, group_saml_identities: local_assigns[:group_saml_identities]
  %hr
- if current_user.can_change_username?
  .row.gl-mt-3
    .col-lg-4.profile-settings-sidebar
      %h4.gl-mt-0.warning-title
        = s_('Profiles|Change username')
      %p
        = s_('Profiles|Changing your username can have unintended side effects.')
        = succeed '.' do
          = link_to s_('Profiles|Learn more'), help_page_path('user/profile/index', anchor: 'changing-your-username'), target: '_blank'
    .col-lg-8
      - data = { initial_username: current_user.username, root_url: root_url, action_url: update_username_profile_path(format: :json) }
      #update-username{ data: data }
  %hr

.row.gl-mt-3
  .col-lg-4.profile-settings-sidebar
    %h4.gl-mt-0.danger-title
      = s_('Profiles|Delete account')
  .col-lg-8
    - if current_user.can_be_removed? && can?(current_user, :destroy_user, current_user)
      %p
        = s_('Profiles|Deleting an account has the following effects:')
      = render 'users/deletion_guidance', user: current_user

      -# Delete button here
      %button#delete-account-button.btn.btn-danger.disabled{ data: { qa_selector: 'delete_account_button' } }
        = s_('Profiles|Delete account')

      #delete-account-modal{ data: { action_url: user_registration_path,
        confirm_with_password: ('true' if current_user.confirm_deletion_with_password?),
        username: current_user.username } }
    - else
      - if current_user.solo_owned_groups.present?
        %p
          = s_('Profiles|Your account is currently an owner in these groups:')
          %strong= current_user.solo_owned_groups.map(&:name).join(', ')
        %p
          = s_('Profiles|You must transfer ownership or delete these groups before you can delete your account.')
      - elsif !current_user.can_remove_self?
        %p
          - reset_link = reset_profile_password_path
          = s_('Profiles|GitLab is unable to verify your identity automatically. For security purposes, you must set a password by %{openingTag}resetting your password%{closingTag} to delete your account.').html_safe % { openingTag: "<a href='#{reset_link}'>".html_safe, closingTag: '</a>'.html_safe}
        %p
          = s_('Profiles|If after setting a password, the option to delete your account is still not available, please email %{data_request} to begin the account deletion process.').html_safe % { data_request: mail_to('personal-data-request@gitlab.com') }
      - else
        %p
          = s_("Profiles|You don't have access to delete this user.")
.gl-mb-3
